Ghidra 项目突然打不开,报错 Could not initialize class org.apache.felix.framework.URLHandlersStreamHandlerProxy

解决方案

更换 JDK 版本:切实可行的版本是 JDK 11

IDEA 直接更换即可。

  • 如报错:java: 错误: 无效的源发行版:17 需要调整 idea 当前项目的各个选项的版本号。
  1. Project Settings -> Project
  2. Project Settings -> Modules -> Source & dependemcies
  3. Preferences -> Build, Execution, Deployment -> Compiler -> Java Compiler

图文参考:https://www.cnblogs.com/TobuTobu/p/15904562.html

发表评论